/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${_HS1}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.$("txt1").show();
         sym.$("img1").show();
         
         sym.$("cerrar").show();
         
         sym.$("txt2").hide();
         sym.$("img2").hide();
         sym.$("txt3").hide();
         sym.$("img3").hide();
         sym.$("txt4").hide();
         sym.$("img4").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_cerrar}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.$("txt1").hide();
         sym.$("img1").hide();
         sym.$("txt2").hide();
         sym.$("img2").hide();
         sym.$("txt3").hide();
         sym.$("img3").hide();
         sym.$("txt4").hide();
         sym.$("img4").hide();
         
         
         sym.$("cerrar").hide();
         
         
         sym.$("HS_4").hide();
         
         sym.$("txt_atm").hide();
         
         sym.$("atm").hide();
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HS2}", "click", function(sym, e) {
         sym.$("txt2").show();
         sym.$("img2").show();
         
         sym.$("cerrar").show();
         
         sym.$("txt1").hide();
         sym.$("img1").hide();
         sym.$("txt3").hide();
         sym.$("img3").hide();
         sym.$("txt4").hide();
         sym.$("img4").hide();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HS3}", "click", function(sym, e) {
         sym.$("txt3").show();
         sym.$("img3").show();
         
         sym.$("cerrar").show();
         
         sym.$("txt2").hide();
         sym.$("img2").hide();
         sym.$("txt1").hide();
         sym.$("img1").hide();
         sym.$("txt4").hide();
         sym.$("img4").hide();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HS4}", "click", function(sym, e) {
         sym.$("txt4").show();
         sym.$("img4").show();
         sym.$("HS_4").show();
         
         
         sym.$("cerrar").show();
         
         sym.$("txt2").hide();
         sym.$("img2").hide();
         sym.$("txt3").hide();
         sym.$("img3").hide();
         sym.$("txt1").hide();
         sym.$("img1").hide();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_HS_4}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         sym.$("txt_atm").show();
         sym.$("atm").show();
         
         

      });
      //Edge binding end

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'Background_space'
   (function(symbolName) {   
   
   })("Background_space");
   //Edge symbol end:'Background_space'

   //=========================================================
   
   //Edge symbol: 'Stars_B'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("Stars_B");
   //Edge symbol end:'Stars_B'

   //=========================================================
   
   //Edge symbol: 'Stars_A'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 16002, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("Stars_A");
   //Edge symbol end:'Stars_A'

   //=========================================================
   
   //Edge symbol: 'astronauta'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 9000, function(sym, e) {
         // introducir código aquí
         sym.play("ini");

      });
      //Edge binding end

   })("astronauta");
   //Edge symbol end:'astronauta'

})(jQuery, AdobeEdge, "EDGE-5531445");